# coding: utf-8

"""
    AKEYLESS Vault API

    RESTFull API for interacting with AKEYLESS Vault API  # noqa: E501

    OpenAPI spec version: 0.1.1
    Contact: refael@akeyless.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import os
import re

from setuptools import find_packages, setup

HERE = os.path.abspath(os.path.dirname(__file__))
VERSION_RE = re.compile(r"""__version__ = ['"]([0-9.]+)['"]""")

def read(*args):
    """Reads complete file contents."""
    return open(os.path.join(HERE, *args)).read()

def get_version():
    """Reads the version from this module."""
    init = read("akeyless_api_gateway", "__init__.py")
    return VERSION_RE.search(init).group(1)

REQUIRES = [
    "certifi>=2017.4.17",
    "python-dateutil>=2.1",
    "six>=1.10",
    "urllib3>=1.23"
]

setup(
    name="akeyless_api_gateway",
    version=get_version(),
    description="AKEYLESS Vault API",
    author_email="refael@akeyless.io",
    url="https://www.akeyless.io/",
    keywords=["Swagger", "AKEYLESS Vault API"],
    install_requires=REQUIRES,
    packages=find_packages(),
    include_package_data=True,
    license="Apache 2.0",
    long_description_content_type="text/markdown",
    long_description=read("README.rst"),
    classifiers=[
        "Intended Audience :: Developers",
        "Natural Language :: English",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",        
        "Topic :: Security",
    ],
)
